//
//  Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
//  Copyright (C) 2008 - INRIA - Sylvestre LEDRU
//  Copyright (C) 2008 - INRIA - Vincent COUVERT
//  Copyright (C) 2010 - DIGITEO - Allan CORNET
//
//  This file must be used under the terms of the CeCILL.
//  This source file is licensed as described in the file COPYING, which
//  you should have received as part of this distribution.  The terms
//  are also available at
//  http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
//

if getos() == 'Windows' then
  currentpath = get_absolute_file_path("builder_jni.sce");
  currentpath = strsubst(currentpath,"\","/");
  tbx_build_src(["xmltodocbook", "XMLConvert5"], ["xmltodocbook.cpp", "XMLConvert5.cpp", "GiwsException.cpp"], "c", currentpath ,..
      "", "", "-I"+currentpath);
else
  // Toolbox embedded includes: Java and GIWS
  INCLUDES_PATHS = "-I"+get_absolute_file_path("builder_jni.sce") + " -I"+get_absolute_file_path("builder_jni.sce")+"../../includes/";
  
  // Source tree version
  if isdir(SCI+"/modules/core/includes/") then
    INCLUDES_PATHS = INCLUDES_PATHS + " -I"+SCI+"/modules/jvm/includes/ -I"+SCI+"/modules/localization/includes/";
  end
  
  // Binary version
  if isdir(SCI+"/../../include/scilab/core/") then
    INCLUDES_PATHS = INCLUDES_PATHS + " -I"+SCI+"/../../include/scilab/jvm/ -I"+SCI+"/../../include/scilab/localization/";
  end
  
  // System version (ie: /usr/include/scilab/)	
  if isdir("/usr/include/scilab/") then
    INCLUDES_PATHS = INCLUDES_PATHS + " -I/usr/include/scilab/jvm/ -I/usr/include/scilab/localization/";
  end
  
  
  tbx_build_src(["xmltodocbook", "XMLConvert5"], ["xmltodocbook.cpp", "XMLConvert5.cpp"], "c", get_absolute_file_path("builder_jni.sce"),..
      [], [], INCLUDES_PATHS);
end
clear tbx_build_src;
